# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.25
# 

Name:       xz

# >> macros
# << macros

Summary:    LZMA compression utilities
Version:    5.0.4
Release:    1
Group:      Applications/File
License:    LGPLv2+
URL:        http://tukaani.org/%{name}/
Source0:    http://tukaani.org/%{name}/xz-%{version}.tar.bz2
Source100:  xz.yaml
Requires:   %{name}-libs = %{version}-%{release}

%description
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


%package libs
Summary:    Libraries for decoding LZMA compression
License:    LGPLv2+
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
Libraries for decoding files compressed with LZMA or XZ utils.

%package lzma-compat
Summary:    Older LZMA format compatibility binaries
License:    GPLv2+ and LGPLv2+
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}
Provides:   lzma = 5
Obsoletes:   lzma < 5

%description lzma-compat
The lzma-compat package contains compatibility links for older
commands that deal with the older LZMA format.


%package devel
Summary:    Devel libraries & headers for liblzma
License:    LGPLv2+
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-libs = %{version}-%{release}

%description devel
Devel libraries and headers for liblzma.


%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
%configure --disable-static \
--disable-nls

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# << build pre


make %{?jobs:-j%jobs}

# >> build post
# << build post

%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
rm -rf %{buildroot}/%{_docdir}/%{name}
# << install post


%check
# >> check
LD_LIBRARY_PATH=$PWD/src/liblzma/.libs make check
# << check

%post libs -p /sbin/ldconfig

%postun libs
/sbin/ldconfig
# >> postun libs
%docs_package
# << postun libs

%files
%defattr(-,root,root,-)
# >> files
%doc COPYING.*
%{_bindir}/*xz*
# << files

%files libs
%defattr(-,root,root,-)
# >> files libs
%doc COPYING.*
%{_libdir}/lib*.so.*
# << files libs

%files lzma-compat
%defattr(-,root,root,-)
# >> files lzma-compat
%{_bindir}/*lz*
# << files lzma-compat

%files devel
%defattr(-,root,root,-)
# >> files devel
%doc AUTHORS README THANKS COPYING.* ChangeLog
%dir %{_includedir}/lzma
%{_includedir}/lzma/*.h
%{_includedir}/lzma.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/liblzma.pc
# << files devel
